/* ........................... Testimonials ........................... */
.testimonial-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: var(--margin-small);
    margin: var(--margin-base);
    padding-bottom: var(--padding-bottom);
    background-color: var(--background-color);
}

/* Einzelne Testimonials */
.testimonial {
    background-color: var(--color-tertiary);
    padding: var(--padding-small);
    border-radius: var(--border-radius-medium);
    transition: transform 0.3s ease;
    display: flex; /* Flexbox verwenden */
    flex-direction: column; /* Alle Kinder werden untereinander angeordnet */
    align-items: center; /* Alle Kinder werden horizontal zentriert */
    justify-content: flex-start; /* Flexbox startet von oben */
    text-align: center; /* Text wird innerhalb des Testimonials ebenfalls zentriert */
    height: 100%; /* Sorgt dafür, dass das Testimonial die gesamte Höhe einnimmt */
}

/* Testimonial-Bild */
.testimonial-avatar {
    border-radius: var(--border-radius-large);
    width: 70%; /* Bild nimmt 70% der Breite des Containers ein */
    height: auto; /* Höhe wird automatisch angepasst */
    margin: 0 auto; /* Zentrieren */
    display: block; /* Block-Level-Element, um zentriert zu sein */
    object-fit: contain; /* Das Bild behält sein ursprüngliches Format */
}

/* Firma-Stil */
.testimonial-company {
    color: var(--text-comment-color); /* Setzt die Schriftfarbe auf grau */
    text-align: center; /* Zentriert den Firmennamen */
}

/* Testimonial-Text */
.testimonial-quote {
    font-style: italic;
    color: var(--text-color);
    text-align: center; /* Zentriert den Zitattext */
    margin-bottom: var(--margin-small); /* Abstand zum nächsten Inhalt */
    flex-grow: 1; /* Flexibler Raum, damit der Abstand zum Like-Container immer gleich bleibt */
}

.like-container {
    margin-top: var(--margin-small); /* Abstand zum Inhalt oben */
    margin-bottom: var(--margin-small); /* Konstanter Abstand zum unteren Rand des Testimonials */
    display: flex;
    align-items: center;
    justify-content: center;
}
